ReflectionClass::getFileName
ReflectionClass::getInterfaces
ReflectionClass
PHP Manual

# ReflectionClass::getInterfaceNames

(PHP 5 >= 5.2.0)

ReflectionClass::getInterfaceNames — Gets the interface names

### Description

public array ReflectionClass::getInterfaceNames ( void )

Get the interface names.

### Parameters

This function has no parameters.

### Return Values

A numerical array with interface names as the values.

### Examples

Example #1 ReflectionClass::getInterfaceNames() example

`<?php
interface Foo { }
interface Bar { }
class Baz implements Foo, Bar { }
$rc1 = new ReflectionClass("Baz");
print_r($rc1->getInterfaceNames());
?>`

The above example will output something similar to:

    Array
    (
        [0] => Foo
        [1] => Bar
    )

### See Also

- ReflectionClass::getInterfaces() - Gets the interfaces

ReflectionClass::getFileName
ReflectionClass::getInterfaces
ReflectionClass
PHP Manual